package com.steering.pss.pncost.entity;

/**
 * 数据库表COST_BASE_PLINE_REBACK所对应的实体类（生成工具：代码生成器3.0）
 * @author doubi-PC   date 2016-09-24
 */
@SuppressWarnings("serial")
public class CostBasePlineRebackEntity implements java.io.Serializable {
    /**
     * 产线代码(来源于产线基础表COM_BASE_PLINE)
     */
    private String plineCode = "";
    /**
     * 产线描述(来源于产线基础表COM_BASE_PLINE)
     */
    private String plineName = "";
    /**
     * 物料编码(来源于采购系统表PUR_MAT) 物料大类为厂回物料
     */
    private String itemCode = "";
    /**
     * 物料名称(来源于采购系统表PUR_MAT) 物料大类为厂回物料
     */
    private String itemName = "";
    /**
     * (1-成材率)占比(%)
     */
    private String proportion = "";
    /**
     * 回收率(%)
     */
    private String percent = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";

    /**
     * 产线代码(来源于产线基础表COM_BASE_PLINE)
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码(来源于产线基础表COM_BASE_PLINE)
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述(来源于产线基础表COM_BASE_PLINE)
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述(来源于产线基础表COM_BASE_PLINE)
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 物料编码(来源于采购系统表PUR_MAT) 物料大类为厂回物料
     * @return value
     */
    public String getItemCode() {
        return itemCode;
    }

    /**
     * 物料编码(来源于采购系统表PUR_MAT) 物料大类为厂回物料
     * @param itemCode value
     */
    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    /**
     * 物料名称(来源于采购系统表PUR_MAT) 物料大类为厂回物料
     * @return value
     */
    public String getItemName() {
        return itemName;
    }

    /**
     * 物料名称(来源于采购系统表PUR_MAT) 物料大类为厂回物料
     * @param itemName value
     */
    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    /**
     * (1-成材率)占比(%)
     * @return value
     */
    public String getProportion() {
        return proportion;
    }

    /**
     * (1-成材率)占比(%)
     * @param proportion value
     */
    public void setProportion(String proportion) {
        this.proportion = proportion;
    }

    /**
     * 回收率(%)
     * @return value
     */
    public String getPercent() {
        return percent;
    }

    /**
     * 回收率(%)
     * @param percent value
     */
    public void setPercent(String percent) {
        this.percent = percent;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}